[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#348515: cmail: Fails to install

Matej Vela <vela@debian.org> wrote:
> Hi,
> rich walker <rw@shadow.org.uk> writes:
>> Cmail fails to install.
>> It puts up the "byte-compiling" message, then complains about not
>> being able to move *.elc files, and fails.
> I'm unable to reproduce this with emacs21 21.4a-6.  Is it still a
> problem for you?

 sudo apt-get install --reinstall cmail
Reading package lists... Done
Building dependency tree... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 1256 not upgraded.
Need to get 369kB of archives.
After unpacking 0B of additional disk space will be used.
Do you want to continue [Y/n]? y
Get: 1 http://ftp.uk.debian.org testing/main cmail 2.62-3 [369kB]
Fetched 369kB in 2s (181kB/s) 
(Reading database ... 332989 files and directories currently installed.)
Preparing to replace cmail 2.62-3 (using .../archives/cmail_2.62-3_all.deb) ...
remove/cmail: purging byte-compiled files for emacs21
Unpacking replacement cmail ...
Setting up cmail (2.62-3) ...
install/apel: Byte-compiling for emacs21 ... skipped. (already compiled)
install/cmail: Handling install for emacsen flavor emacs21
mv: cannot stat `*.elc': No such file or directory
emacs-package-install: /usr/lib/emacsen-common/packages/install/cmail emacs21 emacs21 failed at /usr/lib/emacsen-common/emacs-package-install line 30, <TSORT> line 2.
dpkg: error processing cmail (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
E: Sub-process /usr/bin/dpkg returned an error code (1)
rw@tigger:FAangband012 2.6M :

So it seems to still be a problem.

# dpkg --status emacs21
Package: emacs21
Status: install ok installed
Priority: optional
Section: editors
Installed-Size: 5900
Maintainer: Rob Browning <rlb@defaultvalue.org>
Architecture: i386
Version: 21.4a-3
Replaces: emacs21-nox
Provides: emacsen, editor, info-browser, mail-reader, news-reader
Depends: emacs21-bin-common (= 21.4a-3), libc6 (>= 2.3.5-1), libice6 | xlibs (>> 4.1.0), libjpeg62, libncurses5 (>= 5.4-5), libpng12-0 (>= 1.2.8rel-4), libsm6 | xlibs (>> 4.1.0), libtiff4, libungif4g (>= 4.1.3), libx11-6 | xlibs (>> 4.1.0), libxext6 | xlibs (>> 4.1.0), libxmu6 | xlibs (>> 4.1.0), libxpm4 | xlibs (>> 4.1.0), libxt6 | xlibs (>> 4.1.0), xaw3dg (>= 1.5+E-1), zlib1g (>= 1:1.2.1)
Conflicts: emacs21-nox, w3-el
Description: The GNU Emacs editor
 GNU Emacs is the extensible self-documenting text editor.

cheers, Rich.

rich walker | technical person | Shadow Robot Company | rw@shadow.org.uk
front-of-tshirt space to let     251 Liverpool Road   |
                                 London  N1 1LX       | +UK 20 7700 2487

Reply to: